Bug 488464 - numpy (f2py) requires python-devel
numpy (f2py) requires python-devel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 09:05 EST by Sergio Pascual
Modified: 2009-04-06 07:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.2.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2009-03-04 09:05:03 EST
Description of problem:
f2py builds python code and it requires python-devel. It should be added to the list of Requires of numpy
Comment 1 Jon Ciesla 2009-03-05 09:52:15 EST
Built in rawhide, 10 and 9 as well.
Comment 2 Fedora Update System 2009-03-09 18:50:13 EDT
numpy-1.2.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-03-09 19:09:53 EDT
numpy-1.2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Dominik 'Rathann' Mierzejewski 2009-03-30 18:48:47 EDT
Could f2py be split off to a separate subpackage instead? python-devel weighs about 3MB and that can be a lot on a diskspace-starved platform like a SSD-equipped netbook.
Comment 5 Sergio Pascual 2009-03-31 04:23:08 EDT
f2py requires also gcc-gfortran to work properly. +1 to splitting
Comment 6 Jon Ciesla 2009-03-31 08:04:37 EDT
Dominik, if you could file a BZ with specifics (file ownership, branches, etc), and I'll get on it.
Comment 7 Peter Robinson 2009-04-06 07:17:20 EDT
I filed RHBZ 494113 without seeing this closed one. I've put up a new spec file that does an initial split of f2py and associated bits into a sub package. Details can be seen in the other bug report.

Note You need to log in before you can comment on or make changes to this bug.